public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/miscfiles/
Date: Sat, 23 Apr 2022 02:12:39 +0000 (UTC)	[thread overview]
Message-ID: <1650679939.a3ca77e9894036eaa44e1c30c9311e040c1e757e.sam@gentoo> (raw)

commit:     a3ca77e9894036eaa44e1c30c9311e040c1e757e
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 23 02:12:00 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Apr 23 02:12:19 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a3ca77e9

sys-apps/miscfiles: update EAPI 6 -> 7

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/miscfiles/miscfiles-1.5-r4.ebuild | 62 ++++++++++++++++++++++++++++++
 1 file changed, 62 insertions(+)

diff --git a/sys-apps/miscfiles/miscfiles-1.5-r4.ebuild b/sys-apps/miscfiles/miscfiles-1.5-r4.ebuild
new file mode 100644
index 000000000000..7ecdbacf6c43
--- /dev/null
+++ b/sys-apps/miscfiles/miscfiles-1.5-r4.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+UNI_PV="10.0.0"
+DESCRIPTION="Miscellaneous files"
+HOMEPAGE="https://savannah.gnu.org/projects/miscfiles/"
+# https://www.unicode.org/Public/${UNI_PV}/ucd/UnicodeData.txt
+SRC_URI="mirror://gnu/miscfiles/${P}.tar.gz
+	https://dev.gentoo.org/~whissi/dist/${PN}/UnicodeData-${UNI_PV}.txt.xz"
+
+LICENSE="GPL-2 unicode"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
+IUSE="minimal"
+
+src_prepare() {
+	default
+
+	mv "${WORKDIR}"/UnicodeData-${UNI_PV}.txt unicode || die
+}
+
+src_configure() {
+	econf --datadir="${EPREFIX}"/usr/share/misc
+}
+
+src_install() {
+	emake install DESTDIR="${D}"
+	dodoc NEWS ORIGIN README dict-README
+
+	# not sure if this is still needed ...
+	dodir /usr/share/dict
+	cd "${ED}"/usr/share/misc || die
+	mv $(awk '$1=="dictfiles"{$1="";$2="";print}' "${S}"/Makefile) ../dict/ || die
+	cd ../dict || die
+	ln -s web2 words || die
+	ln -s web2a extra.words || die
+
+	if use minimal ; then
+		pushd "${ED}"/usr/share/dict || die
+		rm -f words extra.words || die
+		gzip -9 * || die
+		ln -s web2.gz words || die
+		ln -s web2a.gz extra.words || die
+		ln -s connectives{.gz,} || die
+		ln -s propernames{.gz,} || die
+		popd || die
+		rm -r "${ED}"/usr/share/misc || die
+	fi
+}
+
+pkg_postinst() {
+	if [[ -z ${ROOT} ]] && type -P create-cracklib-dict >/dev/null ; then
+		ebegin "Regenerating cracklib dictionary"
+		create-cracklib-dict "${EPREFIX}"/usr/share/dict/* > /dev/null
+		eend $?
+	fi
+
+	# pkg_postinst isn't supposed to fail
+	return 0
+}


             reply	other threads:[~2022-04-23  2:12 UTC|newest]

Thread overview: 31+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-04-23  2:12 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-01 16:02 [gentoo-commits] repo/gentoo:master commit in: sys-apps/miscfiles/ Mike Gilbert
2024-07-01 15:57 Mike Gilbert
2022-10-18  2:18 Sam James
2022-08-28  7:41 WANG Xuerui
2022-06-21  9:41 David Seifert
2022-06-02  7:31 Jakov Smolić
2022-06-02  4:24 Jakov Smolić
2022-06-02  4:02 Jakov Smolić
2022-06-02  3:14 Sam James
2022-06-02  3:14 Sam James
2022-06-02  3:12 Sam James
2022-06-02  3:12 Sam James
2022-06-02  3:05 Sam James
2021-07-22  3:19 Georgy Yakovlev
2021-01-06 15:26 Fabian Groffen
2020-12-27 18:13 Fabian Groffen
2020-05-06 17:25 Michał Górny
2020-02-08 16:53 David Seifert
2018-01-02 18:20 Mikle Kolyada
2018-01-02 18:16 Mikle Kolyada
2017-12-26 22:40 Sergei Trofimovich
2017-12-18 18:59 Markus Meier
2017-12-15 22:53 Sergei Trofimovich
2017-12-15 22:53 Sergei Trofimovich
2017-12-15  8:18 Jason Zaman
2017-12-04 13:32 Thomas Deutschmann
2017-11-20 18:47 Manuel Rüger
2017-11-20 18:23 Thomas Deutschmann
2017-06-26 20:22 Andreas Hüttel
2017-02-14 23:36 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1650679939.a3ca77e9894036eaa44e1c30c9311e040c1e757e.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox